## Panic

> But ultimately, I think I’m telling this story so I can close this panic episode with integrity and honesty. I think I want to tell myself that it’s okay to be weak and imperfect. That it was okay for me to be defensive. That it was okay for me to be angry.
>
> And it’s okay to let the anger go now. Nobody out there is trying to harm me. Nobody out there is trying to force me to admit to mistakes I didn’t make. Nobody out there is trying to make me “wrong”.
> 
> <cite>*[Overcoming my panic towards accessibility](https://zellwk.com/blog/overcoming-panic-towards-accessibility/)* ([cache](/david/cache/2020/85e0f968f6ac8dfdd76c7a76df6ef088/))</cite>

Je crois pouvoir comprendre ce sentiment, au moins à mon échelle. Par exemple, lorsque je publie un [bout de CSS pour le surlignage](/david/2020/02/21/#surlignage) et que je me rends compte ensuite qu’avec [un peu de curry](https://www.trysmudford.com/blog/currying-in-css/) ([cache](/david/cache/2020/77db8cc6de2906f31a4d37d91a47a3aa/)) je pourrais arriver à une situation plus élégante (?) utilisant des variables qui ressemblerait à :

```
mark {
 background: LightGoldenRodYellow;
}
mark::before,
mark::after {
  clip-path: inset(100%);
  clip: rect(1px, 1px, 1px, 1px);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
:root,
[lang=en] {
  --mark-start: " [highlight start] ";
  --mark-end: " [highlight end] ";
}
[lang=fr] {
  --mark-start: " [début du surlignage] ";
  --mark-end: " [fin du surlignage] ";
}
mark::before {
  content: var(--mark-start);
}
mark::after {
  content: var(--mark-end);
}
```

Et là je réalise après quelques échanges sur ##openweb (merci [Anthony](https://ricaud.me) !) que je ne fais pas la distinction de langue entre les citations (souvent en anglais) et le texte (souvent en français). Mince.

En voulant améliorer l’accessibilité de mes productions, cela a peut être eu l’effet inverse… en tout cas cela m’aura au moins permis d’en prendre conscience. *Don’t panic.*
